Index: smsc.c
===================================================================
--- smsc.c	(revision 2828)
+++ smsc.c	(working copy)
@@ -2,6 +2,7 @@
  * This file is part of the superiotool project.
  *
  * Copyright (C) 2007 Uwe Hermann <uwe@hermann-uwe.de>
+ * Copyright (C) 2007 Robinson P. Tryon <bishop.robinson@gmail.com>
  *
  * This program is free software; you can redistribute it and/or modify
  * it under the terms of the GNU General Public License as published by
@@ -43,8 +44,83 @@
 	{0x42, "FDC37B80x", {
 		{EOT}}},
 	{0x44, "FDC37B78x", {
+		{NOLDN, NULL,
+			{0x03,0x07,0x20,0x21,0x22,0x23,0x24,0x26,0x27,0x28,
+			 0x2b,0x2c,0x2d,0x2e,0x2f,EOT},
+			{0x03,0x00,0x44,0x00,0x00,0x00,0x04,MISC,MISC,0x00,
+			 NANA,NANA,NANA,NANA,NANA,EOT}},
+		{0x0, "Floppy",
+			{0x30,0x60,0x61,0x70,0x74,0xf0,0xf1,0xf2,0xf4,0xf5,
+			 EOT},
+			{0x00,0x03,0xf0,0x06,0x02,0x0e,0x00,0xff,0x00,0x00,
+			 EOT}},
+		{0x3, "Parallel port",
+			{0x30,0x60,0x61,0x70,0x74,0xf0,0xf1,EOT},
+			{0x00,0x00,0x00,0x00,0x04,0x3c,0x00,EOT}},
+		{0x4, "COM1",
+			{0x30,0x60,0x61,0x70,0xf0,EOT},
+			{0x00,0x00,0x00,0x00,0x00,EOT}},
+		{0x5, "COM2",
+			{0x30,0x60,0x61,0x62,0x63,0x70,0x74,0xf0,0xf1,0xf2,EOT},
+			{NANA,0x00,0x00,0x00,0x00,0x00,0x04,0x00,0x02,0x03,EOT}},
+		{0x6, "RTC",
+			{0x30,0x62,0x63,0x70,0xf0,EOT},
+			{0x00,0x00,0x70,0x00,0x00,EOT}},
+		{0x7, "Keyboard",
+			{0x30,0x70,0x72,0xf0,EOT},
+			{0x00,0x00,0x00,0x00,EOT}},
+		{0x8, "Aux IO",  /* Should this be labeled 'GPIO' ? */
+			{0x30,0xb0,0xb1,0xb2,0xb3,0xb8,0xc0,0xc1,0xc2,0xc3,
+			 0xc4,0xc5,0xc6,0xc8,0xca,0xcb,0xcc,0xd0,0xd1,0xd2,
+			 0xd3,0xd4,0xd5,0xd6,0xd7,0xe0,0xe1,0xe2,0xe3,0xe4,
+			 0xe5,0xe6,0xe7,0xef,0xf0,0xf1,0xf2,0xf3,0xf4,0xf6,
+			 0xf9,0xfa,EOT},
+			{0x00,NANA,NANA,NANA,NANA,NANA,NANA,0x01,NANA,NANA,
+			 NANA,0x00,NANA,NANA,NANA,NANA,NANA,NANA,NANA,NANA,
+			 NANA,NANA,NANA,NANA,NANA,NANA,NANA,NANA,NANA,NANA,
+			 NANA,NANA,NANA,NANA,NANA,0x00,0x00,0x00,0x00,NANA,
+			 NANA,NANA,EOT}},
+		{0xa, "ACPI",
+			{0x30,0x60,0x61,0x70,0xf0,EOT},
+			{0x00,0x00,0x00,NANA,NANA,EOT}},
 		{EOT}}},
 	{0x4c, "FDC37B72x", {
+		{NOLDN, NULL,
+			{0x03,0x07,0x20,0x21,0x22,0x23,0x24,0x26,0x27,0x28,
+			 0x2b,0x2c,0x2d,0x2e,0x2f,EOT},
+			{0x03,0x00,0x4c,0x00,0x00,0x00,0x04,MISC,MISC,0x00,
+			 NANA,NANA,NANA,NANA,NANA,EOT}},
+		{0x0, "Floppy",
+			{0x30,0x60,0x61,0x70,0x74,0xf0,0xf1,0xf2,0xf4,0xf5,
+			 EOT},
+			{0x00,0x03,0xf0,0x06,0x02,0x0e,0x00,0xff,0x00,0x00,
+			 EOT}},
+		{0x3, "Parallel port",
+			{0x30,0x60,0x61,0x70,0x74,0xf0,0xf1,EOT},
+			{0x00,0x00,0x00,0x00,0x04,0x3c,0x00,EOT}},
+		{0x4, "COM1",
+			{0x30,0x60,0x61,0x70,0xf0,EOT},
+			{0x00,0x00,0x00,0x00,0x00,EOT}},
+		{0x5, "COM2",
+			{0x30,0x60,0x61,0x70,0xf0,0xf1,0xf2,EOT},
+			{NANA,0x00,0x00,0x00,0x00,0x02,0x03,EOT}},
+		{0x7, "Keyboard",
+			{0x30,0x70,0x72,0xf0,EOT},
+			{0x00,0x00,0x00,0x00,EOT}},
+		{0x8, "Aux IO",  /* Should this be labeled 'GPIO' ? */
+			{0x30,0xb0,0xb1,0xb2,0xb3,0xb8,0xc0,0xc1,0xc2,0xc3,
+			 0xc4,0xc5,0xc6,0xc8,0xca,0xcb,0xcc,0xd0,0xd1,0xd2,
+			 0xd3,0xd4,0xd5,0xd6,0xd7,0xe0,0xe1,0xe2,0xe3,0xe4,
+			 0xe5,0xe6,0xe7,0xef,0xf0,0xf1,0xf2,0xf3,0xf4,0xf6,
+			 0xf9,0xfa,EOT},
+			{0x00,NANA,NANA,NANA,NANA,NANA,0x00,0x01,NANA,NANA,
+			 NANA,0x00,NANA,NANA,NANA,NANA,NANA,NANA,NANA,NANA,
+			 NANA,NANA,NANA,NANA,NANA,NANA,NANA,NANA,NANA,NANA,
+			 NANA,NANA,NANA,NANA,NANA,0x00,0x00,0x00,MISC,NANA,
+			 NANA,NANA,EOT}},
+		{0xa, "ACPI",
+			{0x30,0x60,0x61,0x70,0xf0,EOT},
+			{0x00,0x00,0x00,NANA,NANA,EOT}},
 		{EOT}}},
 	{0x4d, "FDC37M81x", {
 		{EOT}}},
